"""
@author: Angel Garcia Olaya. PLG-UC3M
@since: January 2020
@version: 1.0
"""
class Copo:
    """ Clase que representa un copo de nieve """
    def __init__(self, x: int, y: int, temperatura: int):
        """ Crea un objeto copo de nieve """
        self.x = x
        self.y = y
        self.__temperatura = temperatura

    @property
    def x(self):
        return self.__x
    
    @x.setter
    def x(self, x: int):
        if x >= 0:
            self.__x = x
        else:
            self.__x = 0
            
    @property
    def y(self):
        return self.__y
    
    @y.setter
    def y(self, y: int):
        if y >= 0:
            self.__y = y
        else:
            self.__y = 0

    @property
    def fundido(self):
        if self.__temperatura >= 2:
            return True
        else:
            return False